use serde::{Deserialize, Serialize};

pub trait BaseEntity {
    fn id(&self) -> i32;
}

#[derive(Serialize, Deserialize, Clone, Debug)]
pub struct Entity {
    pub id: i32,
}

impl BaseEntity for Entity {
    fn id(&self) -> i32 {
        self.id
    }
}
